Name:       satellite-clone
Version:    1.2.5
Release:    1%{?dist}
Summary:    Tool to install and restore a functioning Satellite from backup
Source0:    https://codeload.github.com/RedHatSatellite/satellite-clone/tar.gz/%{version}#/%{name}-%{version}.tar.gz
Group:      System Environment/Base
License:    LGPLv3
URL:        https://github.com/RedHatSatellite/satellite-clone
Requires:   ansible >= 2.4
Requires:   python >= 2.7
BuildArch:  noarch

%description
This package will install Satellite and restore content from a backup.
It is meant to be used on a blank (clean install) RHEL 7 machine.

%prep

%setup -q

%build
gzip -f9 man/satellite-clone.1

%install
mkdir -p %{buildroot}/%{_datadir}/satellite-clone
mkdir -p %{buildroot}/%{_sysconfdir}/satellite-clone
mkdir -p %{buildroot}/%{_localstatedir}/log/satellite-clone
mkdir -p %{buildroot}/%{_mandir}/man1
cp -r * %{buildroot}/%{_datadir}/satellite-clone
cp %{buildroot}/%{_datadir}/satellite-clone/satellite-clone-vars.sample.yml %{buildroot}/%{_sysconfdir}/satellite-clone/satellite-clone-vars.yml
ln -sf %{_sysconfdir}/satellite-clone/satellite-clone-vars.yml %{buildroot}/%{_datadir}/satellite-clone/satellite-clone-vars.yml
mkdir -p %{buildroot}%{_sbindir}
cp bin/satellite-clone %{buildroot}%{_sbindir}/satellite-clone
install -m 644 man/satellite-clone.1.gz %{buildroot}/%{_mandir}/man1

%files
%defattr(-,root,root,-)
%{_datadir}/satellite-clone/*
%config %{_sysconfdir}/satellite-clone/satellite-clone-vars.yml
%attr(750, root, root) %{_sbindir}/satellite-clone
%attr(755, root, root) %{_localstatedir}/log/satellite-clone
%doc LICENSE
%{_mandir}/man1/satellite-clone.1*
%exclude %{_datadir}/docs/

%changelog
* Thu Aug 30 2018 Patrick Creech <pcreech@redhat.com> - 1.2.5-1
- satellite-clone 1.2.5

* Thu Aug 02 2018 John Mitsch <jomitsch@redhat.com> - 1.2.4-1
- satellite-clone 1.2.4

* Mon Jul 16 2018 Patrick Creech <pcreech@redhat.com> - 1.2.3-1
- satellite-clone 1.2.3

* Wed May 31 2017 jomitsch <jomitsch@redhat.com> 1.1.0-1
- Released 1.1.0
